package org.apache.poi.xssf.eventusermodel;

import org.apache.poi.POIXMLDocument;
import org.apache.poi.POIXMLException;
import org.apache.poi.openxml4j.exceptions.OpenXML4JException;
import org.apache.poi.openxml4j.opc.*;

import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;

/**
 * Created by IntelliJ IDEA.
 * User: ssmeets
 * Date: 07-Oct-2010
 * Time: 01:35:45
 * To change this template use File | Settings | File Templates.
 */
public class XSSFSimpleWorkbook extends POIXMLDocument {


    private OPCPackage pkg;

    private boolean protectedWorkbook = false;

     /**
     * Create a new SpreadsheetML workbook.
     */
    public XSSFSimpleWorkbook(InputStream is) {
       super(openPackage(is));
    }

    /**
     * Constructs a XSSFWorkbook object given a OpenXML4J <code>Package</code> object,
     * see <a href="http://openxml4j.org/">www.openxml4j.org</a>.
     *
     * @param pkg the OpenXML4J <code>Package</code> object.
     */
    public XSSFSimpleWorkbook(OPCPackage pkg) throws IOException {
        super(pkg);
        this.pkg = pkg;

    }

    /**
     * Constructs a XSSFWorkbook object given a file name.
     *
     * @param      path   the file name.
     */
    public XSSFSimpleWorkbook(String path) throws IOException {
            this(openPackage(path));
    }    

     /**
     * Get the document's embedded files.
     */
    public List<PackagePart> getAllEmbedds() throws OpenXML4JException {
        List<PackagePart> embedds = new LinkedList<PackagePart>();
        return embedds;
    }

    public OPCPackage getContainerPkg() throws OpenXML4JException {
        return pkg;
    }

    /**
     * Open the spreadsheet
     */
    protected static OPCPackage openPackage(InputStream is) {
        try {
            OPCPackage pkg = OPCPackage.open(is);
            return pkg;
        } catch (Exception e){
            throw new POIXMLException(e);
        }
    }
}
